Community Conundrum 25: Feature Visualization is now live! Read More

dataikuapi version 8

Level 2
dataikuapi version 8

Hi,

We recently upgraded to DSS 8.0.1. I am creating a simple python script to run multiple scenarios using dataikuapi. Installing the dataikuapi package with "pip install dataiku-api-client" downloads version 7.0.0. Using that version I tried to test one of your sample code for  running multiple scenarios, but it fails since the DSSScenarioRun.refresh() method is not define.

How can I get the latest version of the api to avoid this or other future issues?

Thanks

 

4 Replies
Dataiker
Dataiker

Leaving the response from chat here:

pip command will install v7 version of dataiku-api-client module as it's the latest available on pypi site: https://pypi.org/project/dataiku-api-client/.
We will publish an updated version of the client in a few days. 

Level 2
Author

Thank you for your reply.

Using version 7 of the API is not an option for us. We need to use features  available on version 8. My expectation is for the current version of the API should be available at the same time a new version of DSS is released. I was surprised the documentation for using the new features is available, but not the API. I am waiting and expecting the version 8 API will be released soon. 

0 Kudos

Hi,

There is always a period between the time where a version of DSS is available for download and the time where we announce it globally and make it the default for every user.

During that period, we do not update the externally-available API client so that new users don't download an API client that would not entirely work (because it's the latest version). On the other hand, the old API client still works with the new DSS, so with this arrangement, everything works properly.

Importantly, the dataiku-api-client that is preinstalled within DSS is always up-to-date.

That being said, dataiku-api-client 8 is now available on pypi.

0 Kudos
Level 2
Author

Thanks, I will download the API client 8. As explained previously, the API installed with the release (v7) did not work as documented in the examples.

0 Kudos